'                                 FEWER COMMENTS (EASIER TO READ)
'
'                                           EXAMPLE 06
'
'                 SAME AS EXAMPLE 05, BUT WITH A "LOCAL VARIABLE" AS THE ARGUMENT     
'*************************************************************************************************
'CORRECT OUTPUT: The LED at A16 will blink on and off every 0.2 seconds and the LED at A17 will
'                blink on and off every 2.0 seconds.  The blinking will occur in parallel, but
'                the LED at A16 will finish ten times faster. Both LEDs will blink five times.
'Submitted by Dave Scanlan, March 5, 2006         
'File: Example05_TwoCogsArgParLocalVar.spin
'*************************************************************************************************
CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
' 
  High = 1
  Low  = 0
'
VAR
  Long Stack0[20]                           
  Long Stack1[20]                           
'
PUB Start  | WaitPeriod
'
  WaitPeriod := 8_000_000                                                                         
  CogNew(BlinkingLED_A16 (WaitPeriod), @Stack0)
' 
  WaitPeriod := 80_000_000    
  CogNew(BlinkingLED_A17 (WaitPeriod), @Stack1)
'
'LED Blinks Fast
PRI BlinkingLED_A16 (WaitPeriod) | Pin      
  Pin := 16
  DirA[Pin] := %1
'
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(WaitPeriod + Cnt)                
    OutA[Pin] := Low                   
    WaitCnt(WaitPeriod + Cnt)                
'
'LED Blinks Slowly
PRI BlinkingLED_A17 (WaitPeriod)| Pin                                                                
  Pin := 17
  DirA[Pin] := %1
'                 
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(WaitPeriod + Cnt)                                         
    OutA[Pin] := Low                   
    WaitCnt(WaitPeriod + Cnt)                                          