'                            FEWER COMMENTS (EASIER TO READ)
'
'                                       EXAMPLE02
'
'           HOW TO DECLARE A LOCAL VARIABLE AND CALL MORE THAN ONE PROCEDURE.
'*************************************************************************************
'IMPORTANT: Please run or examine closely previous examples before running this code. 
'           If you do this, you are more likely to understand this example.
'*************************************************************************************             
'DIFFICULTY LEVEL: Very easy
'************************************************************************************* 
'CORRECT OUTPUT: The LED at port A16 will blink five times.  This sequence of blinks 
'                will be followed by the LED at port A17 blinking five times.
'
'                NOTE: The output from this example will be compared to the output 
'                      in the next example where two processors will be running.
'Submitted by Dave Scanlan, March 15, 2006         
'File: Example02_FewerComments.spin
'************************************************************************************* 
CON
  _clkmode  = xtal1 + pll16x
  _xinfreq  = 5_000_000
  High = 1
  Low  = 0
  Out = %1
'
VAR
  'No global variables needed
PUB Start
  BlinkingLED_A16                   
  BlinkingLED_A17                                                                    
'
PRI BlinkingLED_A16 | Pin           
  Pin := 16                                                                                             
  DirA[Pin] := Out
  Repeat 5
   OutA[Pin] := High                'LED ON                               
   WaitCnt(40_000_000 + Cnt)        'ONE-HALF SECOND WAIT
   OutA[Pin] := Low                 'LED OFF
   WaitCnt(40_000_000 + Cnt)        'ONE-HALF SECOND WAIT
'
'
PRI BlinkingLED_A17 | Pin           
  Pin := 17                                                                                             
  DirA[Pin] := Out
   Repeat 5
    OutA[Pin] := High               'LED ON                               
    WaitCnt(40_000_000 + Cnt)       'ONE-HALF SECOND WAIT
    OutA[Pin] := Low                'LED OFF
    WaitCnt(40_000_000 + Cnt)       'ONE-HALF SECOND WAIT
'
'INDENTION IS IMPORTANT IN SPIN.